#!/bin/sh

show_help(){
  echo "
  using install.sh: 
  install.sh [arguments]:

  select [arguments] from:
  kc1 - install kc1 packages (by default)
  kc2 - install kc2 packages
"
}

enclosure=kc1
case $1 in
""|kc1)
  enclosure=kc1
;;
kc2)
  enclosure=kc2
;;
"-help")
  show_help
  exit 0
;;
"--help")
  show_help
  exit 0
;;
*)
  echo "usage: install.sh [kc1|kc2]"
  exit 1
;;
esac

cd `dirname $0`
/bin/sh ./uninstall.sh || exit $?

case `isainfo -k` in
amd64|sparcv9)
  ARG=64
  ;;
*)
  ;;
esac

PATH=/usr/xpg4/bin:$PATH

for i in `ls -d CPRO*.tar.gz 2>&-`; do
  pkgname=`echo $i|sed 's/.tar.gz$//'`
  echo "Unpacking $i..."
  gzip -d $i
  tar xf $pkgname.tar
  rm -f $pkgname.tar
done

echo "Installing CPRObase..."
pkgadd -na ./admin -d . CPRObase || exit $?

list="CPROrdr CPRO$enclosure CPROcpl CPROcurl"
for i in $list; do
  if test x$ARG = x64 && [ -e CPROrdrx ]; then
    i="${i}x"
  fi
  echo "Installing $i..."
  pkgadd -na ./admin -d . $i || exit $?
done
